﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Repository.Entities;

[Table("Airline")]
[Index("Name", Name = "IX_Airline_Name")]
public partial class Airline
{
    [Key]
    public int AirlineID { get; set; }

    [Required]
    [StringLength(100)]
    [Unicode(false)]
    public string Name { get; set; }

    public DateOnly Founded { get; set; }

    public int FleetSize { get; set; }

    [Required]
    [StringLength(255)]
    [Unicode(false)]
    public string Description { get; set; }
}